<simple-notifications [options]="notificationService.options"></simple-notifications>
<div class="card">
  <div class="card-header">
    <h5 class="card-header-text"><i class="icofont icofont-paper-clip m-r-10"></i>Inputs Entries</h5>
  </div>
  <div class="card-body">
    <div class="p-20 z-depth-top-0 waves-effect" placement="bottom">
      <form (submit)="add(f)" #f="ngForm" novalidate>
        <div class="row">
          <mat-form-field class="col-sm-6">
            <input placeholder="Title" matInput name="title" [(ngModel)]="model.title" required [disabled]="disableEdit"/>
          </mat-form-field>
          <mat-form-field class="col-sm-6">
            <input placeholder="Reference" matInput name="reference" [(ngModel)]="model.reference" [disabled]="disableEdit"/>
          </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field class="col-sm-6">
            <mat-select placeholder="Type" name="typeEntry" [(ngModel)]="selectedTypeEntrie" required [disabled]="disableEdit">
              <mat-option *ngFor="let typeEntry of typeEntriesList" [value]="typeEntry">
                {{typeEntry.Description}}
              </mat-option>
            </mat-select>
          </mat-form-field>
          
          <div class="col-sm-6">
            <input class="form-group" type="file" name="..." ng2FileSelect [uploader]="uploader" #doc [disabled]="disableEdit"/>
          </div>
        </div>

        <div class="row">
          <div class="col-lg-12">
            <div class="row f-right">
              <div class="col-lg-12">
                <button type="submit" class="btn btn-primary ripple light btn-md" [disabled]="disableEdit || (!IsUploaded() || !f.valid)">Add</button>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>

    <div class="row" style="margin-top:25px">
      <div class="col-sm-12">
        <div class="p-20 z-depth-bottom-5 waves-effect" placement="bottom">
          <div class="table-responsive">
            <table class="table">
              <thead>
                <tr>
                  <th class="col-sm-2 th-firstCell-style" >Type</th>
                  <th class="col-sm-2 th-table-style">Title</th>
                  <th class="col-sm-2 th-table-style">Reference</th>
                  <th class="col-sm-2 th-table-style">Edition/Date</th>
                  <th class="col-sm-2 th-table-style">Doc</th>
                  <th class="col-sm-2 text-right"></th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let doc of pagedItems">
                  <td>{{doc.typeDesc}}</td>
                  <td class="td-table-style">{{doc.title}}</td>
                  <td class="td-table-style">{{doc.reference}}</td>
                  <td class="td-table-style">{{dateTimeService.getShortFormat(doc.editionDate)}}</td>
                  <td class="td-table-style"><a href="{{doc.filePath}}" target="_blank">{{doc.fileName}}</a></td>
                  <td class="td-table-style"><i class="icofont icofont-ui-delete icon-pointer" style="color:#d84315" (click)="!disableEdit && RemoveEntry(doc.id,doc.fileExtension)"></i></td>
                </tr>
              </tbody>
            </table>

            <ul *ngIf="pager.pages && pager.pages.length" class="pagination" style="float:right">
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(1)">First</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === 1}">
                <a (click)="setPage(pager.currentPage - 1)">Previous</a>
              </li>
              <li *ngFor="let page of pager.pages" [ngClass]="{active:pager.currentPage === page}">
                <a (click)="setPage(page)">{{page}}</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.currentPage + 1)">Next</a>
              </li>
              <li [ngClass]="{disabled:pager.currentPage === pager.totalPages}">
                <a (click)="setPage(pager.totalPages)">Last</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>          
  </div>
</div>
